@import '_mixins';
@import "_variables";

.menu-burger__close {
  @include body-burger;
  & span {
    position: relative;
    border-top: 2px solid #fff;
    width: 17px;
    pointer-events: none;
    &::before,
    &::after {
      @include burger-b-a;
      width: 17px;
    }

    &::before {
      top: 3px;
    }

    &::after {
      bottom: 5px;
    }
  }
}

.menu-burger__open {
  @include body-burger;
  & span {
    pointer-events: none;
    &::before,
    &::after {
      @include burger-b-a;
      width: 18px;
      left: calc(50% - 9px)
    }

    &::before {
      top: 18px;
      transform: rotate(45deg);
    }

    &::after {
      bottom: 17px;
      transform: rotate(-45deg);
    }
  }
}

.dropdown-menu__wrapper{
  overflow: hidden;
  position: absolute;
  width: 180px;
  height: 210px;
  right: $margin-side;
  top: 60px;
  & .dropdown-menu-list__close{
    top: -210px;
  }

  & .dropdown-menu-list__open{
    top: 0;
  }
}

.dropdown-menu-list{
  position: absolute;
  right: 0;
  top: 0;
  width: 180px;
  background-color: #F5F5F5;
  transition: 1s;
  z-index: 2;
  & li{
    height: 30px;
    padding-left: 15px;
    transition: 0.5s;
    & a{
      display: flex;
      align-items: center;
      width: 100%;
      height: 100%;
      @include font-menu;
      &:active{
        color: $color-menu-active;
      }
    }
    &:hover{
      background-color: #E5E5E5;
    }
  }
}

.menu-burger__none{
  display: none;
}

.menu-fullscreen{
  @include center;
  justify-content: space-between;
  width: 100%;
  padding-left: $margin-side * 2;
  padding-right: $margin-side * 2;
  top: 0;
  padding-top: 40px;
  background-color: #fff;
  transition: none;
  & li{
    padding-left: 0;
  }
  @media (min-width: 768px){
    font-size: 0.9em;
  }
  & li:hover{
    background-color: transparent;
  }
  & a:hover{
    color: $color-menu-active;
  }
}
